curl --request POST \
--url "https://api.roe-ai.com/v1/database/query/?organization_id=YOUR_ORG_ID" \
--header "Authorization: Bearer YOUR_API_KEY" \
--header "Content-Type: application/json" \
--data '{
"query": "SELECT * FROM my_table LIMIT 10"
}'
[
{
"query": "SELECT * FROM users LIMIT 10",
"worksheet_id": "123e4567-e89b-12d3-a456-426614174000",
"use_admin": false,
"organization_id": "123e4567-e89b-12d3-a456-426614174000"
}
]{
"message": "<string>"
}Database
Run Query
Execute a query synchronously and return results.
POST
/
v1
/
database
/
query
/
curl --request POST \
--url "https://api.roe-ai.com/v1/database/query/?organization_id=YOUR_ORG_ID" \
--header "Authorization: Bearer YOUR_API_KEY" \
--header "Content-Type: application/json" \
--data '{
"query": "SELECT * FROM my_table LIMIT 10"
}'
[
{
"query": "SELECT * FROM users LIMIT 10",
"worksheet_id": "123e4567-e89b-12d3-a456-426614174000",
"use_admin": false,
"organization_id": "123e4567-e89b-12d3-a456-426614174000"
}
]{
"message": "<string>"
}curl --request POST \
--url "https://api.roe-ai.com/v1/database/query/?organization_id=YOUR_ORG_ID" \
--header "Authorization: Bearer YOUR_API_KEY" \
--header "Content-Type: application/json" \
--data '{
"query": "SELECT * FROM my_table LIMIT 10"
}'
Authorizations
Organization API key passed as a Bearer token. This is the scheme used by the public SDK surface.
Query Parameters
Organization ID. This is required for access control. It can be provided via query or request body depending on the endpoint.
Body
application/json
Response
The query that was run.
The summary of the query results.
Show child attributes
Show child attributes
The number of rows returned by the query.
A list of strings representing the column names
A list of strings representing the column types
A matrix of the data returned in the form of a Sequence of rows, with each row element being a sequence of column values.
The timestamp when the query started running.
The timestamp when the query finished running.
The query UUID.